com.intellectualcrafters.plot.listeners

## Class PlotPlusListener.RecordMeta

- java.lang.Object
- - com.intellectualcrafters.plot.listeners.PlotPlusListener.RecordMeta

- Enclosing class:
    PlotPlusListener

      public static class PlotPlusListener.RecordMeta
      extends java.lang.Object

  Created by Citymonstret on 2014-10-22.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.List<PlotPlusListener.RecordMeta>` | `metaList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlotPlusListener.RecordMeta(java.lang.String name, org.bukkit.Material material)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bukkit.Material` | `getMaterial()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaList

          public static java.util.List<PlotPlusListener.RecordMeta> metaList

  - ### Constructor Detail

    - #### PlotPlusListener.RecordMeta

          public PlotPlusListener.RecordMeta(java.lang.String name,
                                     org.bukkit.Material material)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getMaterial

          public org.bukkit.Material getMaterial()